#ifndef __MYWINDOW_H__
#define __MYWINDOW_H__

#include <QtCore>
#include <QtGui>
#include <QtWidgets>
#include <iostream>

using namespace std;
using namespace Qt;

class MyWindow : public QWidget {
  Q_OBJECT

public:
  MyWindow(QWidget *parent = 0);
public slots:
  void changeItem(int index);
  void setListItem(int index);
  void removeFirstItem();
private:
  QGroupBox *createFirstExclusiveGroup();
  QGroupBox *createSecondExclusiveGroup();
  QGroupBox *createNonExclusiveGroup();
  QGroupBox *createPushButtonGroup();
  QComboBox* list;
  QPushButton *pushButton;
signals:
  void itemChanged(int id);
};

#endif

